Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationEngineAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationEngineAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/HeuristicOptimizationEngineAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Heuristic Optimization Enigne Algorithm", "A base class for heuristic optimization algorithms using an execution engine.")]
-  [StorableClass]
+  [StorableClass("13648771-C7D3-4206-8306-CF50531A4221")]
   public abstract class HeuristicOptimizationEngineAlgorithm : EngineAlgorithm {
     public new IHeuristicOptimizationProblem Problem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs	(revision 13368)
@@ -31,5 +31,5 @@
   [Item("User-Defined Algorithm", "An algorithm which can be defined by the user.")]
   [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 100)]
-  [StorableClass]
+  [StorableClass("B9B72269-4180-4DEF-9F14-751FE7525283")]
   public sealed class UserDefinedAlgorithm : EngineAlgorithm, IParameterizedItem, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/BasicProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/BasicProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/BasicProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("47428396-C522-42D9-A278-DB91DCDB0F56")]
   public abstract class BasicProblem<TEncoding, TEvaluator> : HeuristicOptimizationProblem<TEvaluator, ISolutionCreator>, IProblemDefinition, IStorableContent
     where TEncoding : class, IEncoding
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Encoding.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Encoding.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Encoding.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Encoding", "Base class for describing different encodings.")]
-  [StorableClass]
+  [StorableClass("486F3AE1-9913-49DF-8CFB-0019CDF72C6F")]
   public abstract class Encoding<T> : ParameterizedNamedItem, IEncoding
     where T : class,ISolutionCreator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/MultiEncoding.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/MultiEncoding.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/MultiEncoding.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization {
   [Item("MultiEncoding", "Describes a combined encoding consisting of multiple simpler encodings.")]
-  [StorableClass]
+  [StorableClass("FCFCCD26-11DA-4555-B433-169C0C2E5211")]
   public sealed class MultiEncoding : Encoding<MultiEncodingCreator> {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/MultiObjectiveBasicProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/MultiObjectiveBasicProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/MultiObjectiveBasicProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("411E8C64-53E5-487E-9CA5-0B6D4178689B")]
   public abstract class MultiObjectiveBasicProblem<TEncoding> : BasicProblem<TEncoding, MultiObjectiveEvaluator>, IMultiObjectiveHeuristicOptimizationProblem, IMultiObjectiveProblemDefinition
   where TEncoding : class, IEncoding {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("MultiEncodingCreator", "Contains solution creators that together create a multi-encoding.")]
-  [StorableClass]
+  [StorableClass("5B26C225-9F47-49B3-AE4E-F46D3EFAB657")]
   public sealed class MultiEncodingCreator : MultiEncodingOperator<ISolutionCreator>, ISolutionCreator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Optimization {
   [Item("MultiEncoding Crossover", "Applies different crossovers to cross a multi-encoding.")]
-  [StorableClass]
+  [StorableClass("54127CE9-E98F-4CB2-96B8-BA161673560A")]
   public sealed class MultiEncodingCrossover : MultiEncodingOperator<ICrossover>, ICrossover {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Optimization {
   [Item("MultiEncoding Manipulator", "Applies different manipulators to change a multi-encoding.")]
-  [StorableClass]
+  [StorableClass("3A445BFC-C44C-49B8-90DF-C79DC9F8BA01")]
   public sealed class MultiEncodingManipulator : MultiEncodingOperator<IManipulator>, IManipulator {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiEncodingOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("3776B603-0E54-4124-90C0-F5C2612F3A89")]
   public abstract class MultiEncodingOperator<T> : Operator, IMultiEncodingOperator where T : class,IOperator {
     private List<IEncoding> encodings = new List<IEncoding>();
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiObjectiveAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiObjectiveAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiObjectiveAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Multi-objective Analyzer", "Calls the Analyze method of the problem definition.")]
-  [StorableClass]
+  [StorableClass("01475E97-13B0-446C-8A86-DE26817E2E44")]
   public class MultiObjectiveAnalyzer : SingleSuccessorOperator, IMultiObjectiveAnalysisOperator, IStochasticOperator {
     public bool EnabledByDefault { get { return true; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiObjectiveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/MultiObjectiveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Multi-objective Evaluator", "Calls the Evaluate method of the problem definition and writes the return value into the scope.")]
-  [StorableClass]
+  [StorableClass("3195FA68-99EF-4809-991B-E09397B506B7")]
   public class MultiObjectiveEvaluator : InstrumentedOperator, IMultiObjectiveEvaluationOperator, IStochasticOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-objective Analyzer", "Calls the script's Analyze method to be able to write into the results collection.")]
-  [StorableClass]
+  [StorableClass("D7583948-1268-4FF0-9D63-7B4A69BE7665")]
   public sealed class SingleObjectiveAnalyzer : SingleSuccessorOperator, ISingleObjectiveAnalysisOperator, IAnalyzer, IStochasticOperator {
     public bool EnabledByDefault { get { return true; } }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-objective Evaluator", "Calls the script's Evaluate method to get the quality value of the parameter vector.")]
-  [StorableClass]
+  [StorableClass("9E4274AA-D7EF-46D0-A70D-DE558757DC02")]
   public sealed class SingleObjectiveEvaluator : InstrumentedOperator, ISingleObjectiveEvaluationOperator, IStochasticOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveImprover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveImprover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveImprover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-objective Improver", "Improves a solution by calling GetNeighbors and Evaluate of the corresponding problem definition.")]
-  [StorableClass]
+  [StorableClass("DACBB4E2-7471-4C2F-BDA2-B2496B316AC5")]
   public sealed class SingleObjectiveImprover : SingleSuccessorOperator, INeighborBasedOperator, IImprovementOperator, ISingleObjectiveEvaluationOperator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveEvaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveEvaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveEvaluator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-objective MoveEvaluator", "Evaluates a parameter vector that results from a move.")]
-  [StorableClass]
+  [StorableClass("A262D062-6F15-438D-B7E8-A534C6C330E1")]
   public class SingleObjectiveMoveEvaluator : SingleSuccessorOperator, ISingleObjectiveEvaluationOperator, ISingleObjectiveMoveEvaluator, IStochasticOperator, ISingleObjectiveMoveOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveGenerator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveGenerator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveGenerator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-objective MoveGenerator", "Calls the GetNeighbors method of the problem definition to obtain the moves.")]
-  [StorableClass]
+  [StorableClass("CEDAFD9E-A2A1-4401-B86F-865255DEE1DF")]
   public class SingleObjectiveMoveGenerator : SingleSuccessorOperator, INeighborBasedOperator, IMultiMoveGenerator, IStochasticOperator, ISingleObjectiveMoveOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveMaker.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveMaker.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/Operators/SingleObjectiveMoveMaker.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-objective MoveMaker", "Applies a move.")]
-  [StorableClass]
+  [StorableClass("410E9E93-5AA6-435F-B0B6-B978E0208965")]
   public class SingleObjectiveMoveMaker : InstrumentedOperator, IMoveMaker, ISingleObjectiveMoveOperator {
     public ILookupParameter<IEncoding> EncodingParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/SingleObjectiveBasicProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/SingleObjectiveBasicProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/BasicProblems/SingleObjectiveBasicProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("C7155A2C-2481-49BE-8EBF-1F96DD49090D")]
   public abstract class SingleObjectiveBasicProblem<TEncoding> : BasicProblem<TEncoding, SingleObjectiveEvaluator>,
     ISingleObjectiveProblemDefinition, ISingleObjectiveHeuristicOptimizationProblem
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs	(revision 13368)
@@ -37,5 +37,5 @@
   [Item("Batch Run", "A run in which an optimizer is executed a given number of times.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 110)]
-  [StorableClass]
+  [StorableClass("3EF32A92-0598-4D45-9F90-4B4BA864AC4B")]
   public sealed class BatchRun : NamedItem, IOptimizer, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/Experiment.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/Experiment.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/Experiment.cs	(revision 13368)
@@ -36,5 +36,5 @@
   [Item("Experiment", "An experiment which contains multiple algorithms, batch runs or other experiments.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 100)]
-  [StorableClass]
+  [StorableClass("7D89A82B-E202-4C4B-B9B1-57702B35B50B")]
   public sealed class Experiment : NamedItem, IOptimizer, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/TimeLimitRun.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/TimeLimitRun.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/MetaOptimizers/TimeLimitRun.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,5 +38,5 @@
   [Item("Timelimit Run", "A run in which an optimizer is executed a certain maximum time.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 115)]
-  [StorableClass]
+  [StorableClass("688135C3-B069-4A73-840C-4201A7E6BDA0")]
   public sealed class TimeLimitRun : NamedItem, IOptimizer, IStorableContent, INotifyPropertyChanged {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/OptimizerList.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/OptimizerList.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/OptimizerList.cs	(revision 13368)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Optimizer List", "Represents a list of optimizers.")]
-  [StorableClass]
+  [StorableClass("54E8C518-17E0-4E3E-AC03-ACBE1D3624C1")]
   public class OptimizerList : ItemList<IOptimizer> {
     public OptimizerList() : base() { }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/HeuristicOptimizationProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/HeuristicOptimizationProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/HeuristicOptimizationProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Heuristic Optimization Problem", "Represents the base class for a heuristic optimization problem.")]
-  [StorableClass]
+  [StorableClass("D32A23FF-11C3-4F81-B606-245CF3789E24")]
   public abstract class HeuristicOptimizationProblem<T, U> : Problem, IHeuristicOptimizationProblem
     where T : class,IEvaluator
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/MultiObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/MultiObjectiveHeuristicOptimizationProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/MultiObjectiveHeuristicOptimizationProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Multi-Objective Heuristic Optimization Problem", "A base class for multi-objective heuristic optimization problems.")]
-  [StorableClass]
+  [StorableClass("D293B357-1F82-4C4D-9152-B6349C7532A5")]
   public abstract class MultiObjectiveHeuristicOptimizationProblem<T, U> : HeuristicOptimizationProblem<T, U>, IMultiObjectiveHeuristicOptimizationProblem
     where T : class, IMultiObjectiveEvaluator
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/Problem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/Problem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/Problem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Problem", "Represents the base class for a problem.")]
-  [StorableClass]
+  [StorableClass("C8A6A7E9-70ED-43D0-9540-B876B2A8ABA0")]
   public abstract class Problem : ParameterizedNamedItem, IProblem {
     private const string OperatorsParameterName = "Operators";
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/SingleObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/SingleObjectiveHeuristicOptimizationProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/SingleObjectiveHeuristicOptimizationProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-Objective Heuristic OptimizationProblem", "A base class for single-objective heuristic optimization problems.")]
-  [StorableClass]
+  [StorableClass("57893B88-B112-4AE4-A24F-26D77591DBFA")]
   public abstract class SingleObjectiveHeuristicOptimizationProblem<T, U> : HeuristicOptimizationProblem<T, U>, ISingleObjectiveHeuristicOptimizationProblem
     where T : class, ISingleObjectiveEvaluator
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -39,5 +39,5 @@
   [Item("User-Defined Problem", "A problem which can be defined by the user.")]
   [Creatable(CreatableAttribute.Categories.Problems, Priority = 120)]
-  [StorableClass]
+  [StorableClass("F3DF503B-3FCA-4A80-B5E8-776699E6F13E")]
   public sealed class UserDefinedProblem : ParameterizedNamedItem, ISingleObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
@@ -235,5 +235,5 @@
 
     [Item("EmptyUserDefinedProblemEvaluator", "A dummy evaluator that will throw an exception when executed.")]
-    [StorableClass]
+    [StorableClass("F3DF503B-3FCA-4A80-B5E8-776699E6F13E")]
     [NonDiscoverableType]
     private sealed class EmptyUserDefinedProblemEvaluator : ParameterizedNamedItem, ISingleObjectiveEvaluator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Result.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Result.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Result.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("Result", "A result which has a name and a data type and holds an IItem.")]
-  [StorableClass]
+  [StorableClass("BCBE0EA1-7868-4072-9F79-A91599F87665")]
   public sealed class Result : NamedItem, IResult, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/ResultCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/ResultCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/ResultCollection.cs	(revision 13368)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("E7C40565-7D50-4402-850A-A1DDB9946774")]
   [Item("ResultCollection", "Represents a collection of results.")]
   public class ResultCollection : NamedItemCollection<IResult> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Run.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Run.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Run.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("Run", "The parameters and results of an algorithm run.")]
-  [StorableClass]
+  [StorableClass("5B87FA7A-3934-4E61-AB73-0C788C03CB19")]
   public sealed class Run : NamedItem, IRun, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollection.cs	(revision 13368)
@@ -33,5 +33,5 @@
   [Item("Run Collection", "Represents a collection of runs.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 120)]
-  [StorableClass]
+  [StorableClass("21D4C89D-E01A-42FD-85DB-4D65C714B285")]
   public class RunCollection : ItemCollection<IRun>, IStringConvertibleMatrix, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionComparisonConstraint.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("545B7B03-6478-4B95-8F76-EEEA87B30163")]
   [Item("RunCollectionComparisonConstraint", "A constraint which compares the members of the contained runs with the constraint data.")]
   public class RunCollectionComparisonConstraint : ComparisonConstraint, IRunCollectionColumnConstraint {
Index: /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/RunCollectionConstraints/RunCollectionConstraintCollection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Optimization {
-  [StorableClass]
+  [StorableClass("18387A90-ED47-41AC-884E-B41B4EED3679")]
   [Item("RunCollectionConstraintCollection", "Represents a collection of constraints.")]
   public class RunCollectionConstraintCollection : ItemCollection<IRunCollectionConstraint> {
